Skip to content

Delete a section

Request

You can delete a single section by making a DELETE request to https://api.intercom.io/sections/<id>.

Security
bearerAuth
Path
idintegerrequired

The unique identifier for the section which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X DELETE \
  https://api.intercom.io/help_center/sections/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

successful

Bodyapplication/json
idstring

The unique identifier for the section which you provided in the URL.

Example:"6890762"
objectstring

The type of object which was deleted. - section

Value:"section"
Example:"section"
deletedboolean

Whether the section was deleted successfully or not.

Example:true
Response
{ "id": "212", "object": "section", "deleted": true }